Subject: Re: bug#7798: gnus-summary-next-article selects the nil window

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 11 Jan 2011 19:40:42 +0100

Stefan Monnier <[email-masked]> writes:

> This is because of the following piece of code in gnus-summary-next-article:
>
>       ;; For some reason, the group window gets selected.  We change
>       ;; it back.
>       (select-window (get-buffer-window (current-buffer)))
>
> At this point the selected frame is the one displaying the *Group*
> buffer, and the current-buffer is the *Summary...* buffer, which is not
> displayed in this frame.  I added a 0 argument to get-buffer-window
> which seems to work around the problem, but fundamentally I'm not sure
> it's right for this code to assume that *Summary...* is
> displayed somewhere.

It seems to work OK with the kludge removed, so I just removed it.
We'll see if anybody complains.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen